#### D.6.1.7 charexp2multseq

Procedure from library `alexpoly.lib` (see alexpoly_lib).

Usage:
  charexp2multseq(v), v intvec

Assume:
  v contains the characteristic exponents of an irreducible plane curve singularity

Return:
  intvec, the multiplicity sequence of the plane curve singularity

Note:
  If the curve singularity is smooth, then the multiplicity sequence is empty. This is expressed by returning zero.

Example:

    LIB "alexpoly.lib";
    charexp2multseq(intvec(28,64,66,77));
    ==> 28,28,8,8,8,4,4,2,2,2,2,2,2,2,1,1

See also: alexanderpolynomial; invariants; resolutiongraph; totalmultiplicities.

User manual for Singular version 4.4.1, 2025, generated by texi2html.